Skip to main content
GET
/
api
/
v1
/
refinements
/
{refinement_id}
/
history
List Refinement History
curl --request GET \
  --url https://api.example.com/api/v1/refinements/{refinement_id}/history \
  --header 'Authorization: Bearer <token>'
[
  {
    "action": "<string>",
    "actor_id": "<string>",
    "actor_name": "<string>",
    "actor_type": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "refinement_id": "<string>",
    "changes": [
      {
        "field": "<string>",
        "new": "<unknown>",
        "old": "<unknown>"
      }
    ],
    "summary": "<string>",
    "version": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

refinement_id
string
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

action
string
required
actor_id
string
required
actor_name
string
required
actor_type
string
required
created_at
string<date-time>
required
id
string
required
refinement_id
string
required
changes
RefinementHistoryChange · object[] | null
summary
string | null
version
integer | null
Last modified on May 8, 2026